<?php 
$I = new AcceptanceTester($scenario);
$I->am('user');
$I->wantTo('Trocar situação do funcionário');

$I->amOnPage('/site/login');
$I->fillField('LoginForm[username]','marcio.bortolini');
$I->fillField('LoginForm[password]','aaaaa');
$I->click('button');

$I->amOnPage('?r=funcionarios/update&id=443');
$I->click('Ativar/Inativar');
$I->seeInCurrentUrl('?r=funcionarios/situacao&id=443');

$antiga_situacao = $I->grabTextFrom('#situacao');

$I->checkOption('input[id="FuncionariosSituacao_FUS_ALTSITUACAO"]');
$I->seeElement('#FuncionariosSituacao_FUS_OBSERVACOES');

$I->fillField('#FuncionariosSituacao_FUS_OBSERVACOES','Teste automatizado');
$I->click("#submit_button");
$I->seeElement('.alert-success');

$nova_situacao = $I->grabTextFrom('#situacao');
$I->assertNotEquals($antiga_situacao, $nova_situacao);

$historico = $I->grabTextFrom('#situacao-grid > table > tbody > tr:first-of-type > .registro-situacao');
$I->assertEquals($historico, $nova_situacao);
